Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record.chart
Class ValueRangeRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.chart.ValueRangeRecord

    public final class ValueRangeRecord

extends StandardRecord

The value range record defines the range of the value axis.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` | `sid`

Constructor Summary
`ValueRangeRecord()`
`ValueRangeRecord(RecordInputStream in)`

Method Summary
`java.lang.Object` | `clone()`
`double` | `getCategoryAxisCross()` Get the category axis cross field for the ValueRange record.
`protected int` | `getDataSize()`
`double` | `getMajorIncrement()` Get the major increment field for the ValueRange record.
`double` | `getMaximumAxisValue()` Get the maximum axis value field for the ValueRange record.
`double` | `getMinimumAxisValue()` Get the minimum axis value field for the ValueRange record.
`double` | `getMinorIncrement()` Get the minor increment field for the ValueRange record.
`short` | `getOptions()` Get the options field for the ValueRange record.
`short` | `getSid()` return the non static version of the id for this record.
`boolean` | `isAutomaticCategoryCrossing()` category crossing point is automatically selected
`boolean` | `isAutomaticMajor()` automatic major unit selected
`boolean` | `isAutomaticMaximum()` automatic maximum value selected
`boolean` | `isAutomaticMinimum()` automatic minimum value selected
`boolean` | `isAutomaticMinor()` automatic minor unit selected
`boolean` | `isCrossCategoryAxisAtMaximum()` category axis to cross at maximum value
`boolean` | `isLogarithmicScale()` use logarithmic scale
`boolean` | `isReserved()` reserved, must equal 1 (excel dev.
`boolean` | `isValuesInReverse()` values are reverses in graph
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setAutomaticCategoryCrossing(boolean value)` Sets the automatic category crossing field value.
`void` | `setAutomaticMajor(boolean value)` Sets the automatic major field value.
`void` | `setAutomaticMaximum(boolean value)` Sets the automatic maximum field value.
`void` | `setAutomaticMinimum(boolean value)` Sets the automatic minimum field value.
`void` | `setAutomaticMinor(boolean value)` Sets the automatic minor field value.
`void` | `setCategoryAxisCross(double field_5_categoryAxisCross)` Set the category axis cross field for the ValueRange record.
`void` | `setCrossCategoryAxisAtMaximum(boolean value)` Sets the cross category axis at maximum field value.
`void` | `setLogarithmicScale(boolean value)` Sets the logarithmic scale field value.
`void` | `setMajorIncrement(double field_3_majorIncrement)` Set the major increment field for the ValueRange record.
`void` | `setMaximumAxisValue(double field_2_maximumAxisValue)` Set the maximum axis value field for the ValueRange record.
`void` | `setMinimumAxisValue(double field_1_minimumAxisValue)` Set the minimum axis value field for the ValueRange record.
`void` | `setMinorIncrement(double field_4_minorIncrement)` Set the minor increment field for the ValueRange record.
`void` | `setOptions(short field_6_options)` Set the options field for the ValueRange record.
`void` | `setReserved(boolean value)` Sets the reserved field value.
`void` | `setValuesInReverse(boolean value)` Sets the values in reverse field value.
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### ValueRangeRecord

    public ValueRangeRecord()

### ValueRangeRecord

    public ValueRangeRecord(RecordInputStream in)

Method Detail

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The subclass must write the exact number of bytes as reported by `RecordBase.getRecordSize()`}

  Specified by:
    `serialize` in class `StandardRecord`

### getDataSize

    protected int getDataSize()

  Specified by:
    `getDataSize` in class `StandardRecord`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getMinimumAxisValue

    public double getMinimumAxisValue()

  Get the minimum axis value field for the ValueRange record.

### setMinimumAxisValue

    public void setMinimumAxisValue(double field_1_minimumAxisValue)

  Set the minimum axis value field for the ValueRange record.

### getMaximumAxisValue

    public double getMaximumAxisValue()

  Get the maximum axis value field for the ValueRange record.

### setMaximumAxisValue

    public void setMaximumAxisValue(double field_2_maximumAxisValue)

  Set the maximum axis value field for the ValueRange record.

### getMajorIncrement

    public double getMajorIncrement()

  Get the major increment field for the ValueRange record.

### setMajorIncrement

    public void setMajorIncrement(double field_3_majorIncrement)

  Set the major increment field for the ValueRange record.

### getMinorIncrement

    public double getMinorIncrement()

  Get the minor increment field for the ValueRange record.

### setMinorIncrement

    public void setMinorIncrement(double field_4_minorIncrement)

  Set the minor increment field for the ValueRange record.

### getCategoryAxisCross

    public double getCategoryAxisCross()

  Get the category axis cross field for the ValueRange record.

### setCategoryAxisCross

    public void setCategoryAxisCross(double field_5_categoryAxisCross)

  Set the category axis cross field for the ValueRange record.

### getOptions

    public short getOptions()

  Get the options field for the ValueRange record.

### setOptions

    public void setOptions(short field_6_options)

  Set the options field for the ValueRange record.

### setAutomaticMinimum

    public void setAutomaticMinimum(boolean value)

  Sets the automatic minimum field value. automatic minimum value selected

### isAutomaticMinimum

    public boolean isAutomaticMinimum()

  automatic minimum value selected

  Returns:
    the automatic minimum field value.

### setAutomaticMaximum

    public void setAutomaticMaximum(boolean value)

  Sets the automatic maximum field value. automatic maximum value selected

### isAutomaticMaximum

    public boolean isAutomaticMaximum()

  automatic maximum value selected

  Returns:
    the automatic maximum field value.

### setAutomaticMajor

    public void setAutomaticMajor(boolean value)

  Sets the automatic major field value. automatic major unit selected

### isAutomaticMajor

    public boolean isAutomaticMajor()

  automatic major unit selected

  Returns:
    the automatic major field value.

### setAutomaticMinor

    public void setAutomaticMinor(boolean value)

  Sets the automatic minor field value. automatic minor unit selected

### isAutomaticMinor

    public boolean isAutomaticMinor()

  automatic minor unit selected

  Returns:
    the automatic minor field value.

### setAutomaticCategoryCrossing

    public void setAutomaticCategoryCrossing(boolean value)

  Sets the automatic category crossing field value. category crossing point is automatically selected

### isAutomaticCategoryCrossing

    public boolean isAutomaticCategoryCrossing()

  category crossing point is automatically selected

  Returns:
    the automatic category crossing field value.

### setLogarithmicScale

    public void setLogarithmicScale(boolean value)

  Sets the logarithmic scale field value. use logarithmic scale

### isLogarithmicScale

    public boolean isLogarithmicScale()

  use logarithmic scale

  Returns:
    the logarithmic scale field value.

### setValuesInReverse

    public void setValuesInReverse(boolean value)

  Sets the values in reverse field value. values are reverses in graph

### isValuesInReverse

    public boolean isValuesInReverse()

  values are reverses in graph

  Returns:
    the values in reverse field value.

### setCrossCategoryAxisAtMaximum

    public void setCrossCategoryAxisAtMaximum(boolean value)

  Sets the cross category axis at maximum field value. category axis to cross at maximum value

### isCrossCategoryAxisAtMaximum

    public boolean isCrossCategoryAxisAtMaximum()

  category axis to cross at maximum value

  Returns:
    the cross category axis at maximum field value.

### setReserved

    public void setReserved(boolean value)

  Sets the reserved field value. reserved, must equal 1 (excel dev. guide says otherwise)

### isReserved

    public boolean isReserved()

  reserved, must equal 1 (excel dev. guide says otherwise)

  Returns:
    the reserved field value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.